std::_Mu< _Arg, true, false > Class Template Reference

`#include <functional>`

## Public Member Functions

template<typename _CVArg, typename... _Args>
constexpr auto | operator() (_CVArg &__arg, tuple< _Args... > &__tuple) const volatile -> decltype(__arg(declval< _Args >()...))

## Detailed Description

template<typename _Arg>
class std::_Mu< _Arg, true, false >

If the argument is a bind expression, we invoke the underlying function object with the same cv-qualifiers as we are given and pass along all of our arguments (unwrapped). C++11 [func.bind.bind] p10 bullet 2.

Definition at line 320 of file functional.

## Member Function Documentation

## operator()()

template<typename _Arg>
template<typename _CVArg, typename... _Args>

auto std::_Mu< _Arg, true, false >::operator() | ( | _CVArg & | __arg,
|  | tuple< _Args... > & | __tuple ) const volatile->decltype(__arg(declval< _Args >()...))

inline constexpr

Definition at line 326 of file functional.

The documentation for this class was generated from the following file:

- functional